package com.casic.PgInterface.maintenance.dto;

import com.casic.PgInterface.maintenance.domain.PgAssetInSpectionRecord;

import java.util.ArrayList;
import java.util.List;

public class PgAssetInSpectionRecordDto {

    private Long id;
    private String createDate;//创建时间
    private String state;//巡检记录状态
    private String creator;//创建人
    private String planName;//计划名称
    private String recordNo;//记录单号
    private String planNo;//巡检计划编号
    private String responsibleDept;//负责单位部门小组
    private String inspectionPerson;//计划巡检人
    private String patrolMan;//巡检人
    private String operateDate;//计划巡检日期
    private String remark;//巡检记录
    private String buildCabin;//舱室
    private String project;//所属项目
    private String startPileNo;//开始桩号
    private String endPileNo;//结束桩号
    private String inspectionPrace;//巡检地点
    private String otherPatrolMan;//其他巡检人

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getRecordNo() {
        return recordNo;
    }

    public void setRecordNo(String recordNo) {
        this.recordNo = recordNo;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getResponsibleDept() {
        return responsibleDept;
    }

    public void setResponsibleDept(String responsibleDept) {
        this.responsibleDept = responsibleDept;
    }

    public String getInspectionPerson() {
        return inspectionPerson;
    }

    public void setInspectionPerson(String inspectionPerson) {
        this.inspectionPerson = inspectionPerson;
    }

    public String getPatrolMan() {
        return patrolMan;
    }

    public void setPatrolMan(String patrolMan) {
        this.patrolMan = patrolMan;
    }

    public String getOperateDate() {
        return operateDate;
    }

    public void setOperateDate(String operateDate) {
        this.operateDate = operateDate;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getBuildCabin() {
        return buildCabin;
    }

    public void setBuildCabin(String buildCabin) {
        this.buildCabin = buildCabin;
    }

    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }

    public String getStartPileNo() {
        return startPileNo;
    }

    public void setStartPileNo(String startPileNo) {
        this.startPileNo = startPileNo;
    }

    public String getEndPileNo() {
        return endPileNo;
    }

    public void setEndPileNo(String endPileNo) {
        this.endPileNo = endPileNo;
    }

    public String getInspectionPrace() {
        return inspectionPrace;
    }

    public void setInspectionPrace(String inspectionPrace) {
        this.inspectionPrace = inspectionPrace;
    }

    public String getOtherPatrolMan() {
        return otherPatrolMan;
    }

    public void setOtherPatrolMan(String otherPatrolMan) {
        this.otherPatrolMan = otherPatrolMan;
    }


    public static PgAssetInSpectionRecordDto ConvertToDto(PgAssetInSpectionRecord pgAssetInSpectionRecord){

        PgAssetInSpectionRecordDto pgAssetInSpectionRecordDto=new PgAssetInSpectionRecordDto();

        pgAssetInSpectionRecordDto.setBuildCabin(pgAssetInSpectionRecord.getBuildCabin());
        pgAssetInSpectionRecordDto.setCreateDate(pgAssetInSpectionRecord.getCreateDate());
        pgAssetInSpectionRecordDto.setState(pgAssetInSpectionRecord.getState());
        pgAssetInSpectionRecordDto.setCreator(pgAssetInSpectionRecord.getCreator());
        pgAssetInSpectionRecordDto.setPlanName(pgAssetInSpectionRecord.getPlanName());
        pgAssetInSpectionRecordDto.setRecordNo(pgAssetInSpectionRecord.getRecordNo());
        pgAssetInSpectionRecordDto.setPlanNo(pgAssetInSpectionRecord.getPlanNo());
        pgAssetInSpectionRecordDto.setResponsibleDept(pgAssetInSpectionRecord.getResponsibleDept());
        pgAssetInSpectionRecordDto.setInspectionPerson(pgAssetInSpectionRecord.getInspectionPerson());
        pgAssetInSpectionRecordDto.setPatrolMan(pgAssetInSpectionRecord.getPatrolMan());
        pgAssetInSpectionRecordDto.setOperateDate(pgAssetInSpectionRecord.getOperateDate());
        pgAssetInSpectionRecordDto.setRemark(pgAssetInSpectionRecord.getRemark());
        pgAssetInSpectionRecordDto.setBuildCabin(pgAssetInSpectionRecord.getBuildCabin());
        pgAssetInSpectionRecordDto.setProject(pgAssetInSpectionRecord.getProject());
        pgAssetInSpectionRecordDto.setStartPileNo(pgAssetInSpectionRecord.getStartPileNo());
        pgAssetInSpectionRecordDto.setEndPileNo(pgAssetInSpectionRecord.getEndPileNo());
        pgAssetInSpectionRecordDto.setInspectionPrace(pgAssetInSpectionRecord.getInspectionPrace());
        pgAssetInSpectionRecordDto.setOtherPatrolMan(pgAssetInSpectionRecord.getOtherPatrolMan());

        return pgAssetInSpectionRecordDto;
    }


    public static List<PgAssetInSpectionRecordDto> ConvertToDtoList(List<PgAssetInSpectionRecord> pgAssetInSpectionRecordList){
        List<PgAssetInSpectionRecordDto> pgAssetInSpectionRecordDtoList=new ArrayList<>();
        for(PgAssetInSpectionRecord pgAssetInSpectionRecord:pgAssetInSpectionRecordList){
            pgAssetInSpectionRecordDtoList.add(ConvertToDto(pgAssetInSpectionRecord));
        }

        return pgAssetInSpectionRecordDtoList;
    }
}
